ros-kilted-filters (2.2.2-1noble) noble; urgency=high

  * Added throw on unconfigured update call
  * Added chain length getter with tests
  * Make filters compile with MSVC
  * Contributors: Christoph Froehlich, oscarmartinez

 -- Tully Foote <tfoote@openrobotics.org>  Sun, 20 Jul 2025 00:00:00 -0000

ros-kilted-filters (2.2.1-1noble) noble; urgency=high

  * Ignore unused parameter in FilterBase::reconfigureCB()
  * Contributors: Christophe Bedard

 -- Tully Foote <tfoote@openrobotics.org>  Wed, 14 May 2025 00:00:00 -0000

ros-kilted-filters (2.2.0-1noble) noble; urgency=high

  * Handle dynamic reconfiguration of parameters
  * Enable the use of a default for parameters
  * Configure github action that runs tests
  * Add Windows support
  * Clean up filter chain parameter loading
  * Make read only configurable
  * Added parameter already declared check and allowed override
  * Contributors: Dominik Moss, Jeanine van Bruggen, Jonathan Binney, Silvio Traversaro

 -- Tully Foote <tfoote@openrobotics.org>  Thu, 01 May 2025 00:00:00 -0000

ros-kilted-filters (2.1.2-1noble) noble; urgency=high

  * Fix the RHEL-9 build.
  * Fix CMake 3.18
  * Add a virtual definition of configure() in MultiChannelFilterBase.
  * Contributors: Chris Lalancette, Jonathan Binney, Ryan Friedman

 -- Tully Foote <tfoote@openrobotics.org>  Wed, 17 Apr 2024 00:00:00 -0000

ros-kilted-filters (2.1.1-1noble) noble; urgency=high

  * Provide target based dependencies in cmake for filter_base and libraries.
  * Support Boost 1.71 (Ubuntu 20.04 Humble)
  * Allow to iterate over RealtimeCircularBuffer.
  * Change function signature to use pointer instead of array.
    This really has no downstream consequence, but makes it so that
    rosdoc2 can successfully generate documentation.
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Jonathan Binney,
    Patrick Roncagliolo, Ryan Friedman, wep21

 -- Tully Foote <tfoote@openrobotics.org>  Sat, 02 Mar 2024 00:00:00 -0000

ros-kilted-filters (2.1.0-1noble) noble; urgency=high

  * Fix compiler warnings+test failures on CI (#56 <https://github.com/ros/filters/issues/56>)
  * Solve statically parameter error (#48 <https://github.com/ros/filters/issues/48>)
  * Contributors: Jon Binney, Patrick Lascombz

 -- Tully Foote <tfoote@openrobotics.org>  Wed, 14 Jul 2021 00:00:00 -0000

ros-kilted-filters (2.0.1-1noble) noble; urgency=high

  * Add Jon binney as a maintainer (#54 <https://github.com/ros/filters/issues/54>)
  * missing export includes (#50 <https://github.com/ros/filters/issues/50>)
  * changed free functions to be inline (#43 <https://github.com/ros/filters/issues/43>)
  * Update default_plugins.xml (fix plugin names)
  * Contributors: Hang, Jonathan Binney, Marwan Taher, Steve Macenski

 -- Tully Foote <tfoote@openrobotics.org>  Thu, 08 Jul 2021 00:00:00 -0000

ros-kilted-filters (2.0.0-1noble) noble; urgency=high

  * Fix a bug in the tests.
  * Fixes for Foxy uncrustify.
  * Address peer review comments.
  * Enforce proper code style.
  * Cleanup types and literals.
  * Lint all sources.
  * Address pending review comments.
  * Misc boost fixes
  * Fix wrong include guard
  * FilterBase<T> to avoid name hiding
  * Include what is used
  * Alphabetize package deps
  * Get rid of unnecessary retval
  * Include what is used
  * remove unnecessary ';'
  * Use empty() instead of size() == 0
  * Instal -> Install
  * Add ament_package()
  * Port filters to ROS Eloquent
  * [noetic] deprecate h for hpp (#34 <https://github.com/ros/filters/issues/34>)
  * [noetic] Delete unused code (#33 <https://github.com/ros/filters/issues/33>)
  * Bump CMake version to avoid CMP0048
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Michel Hidalgo, Shane Loretz

 -- Tully Foote <tfoote@openrobotics.org>  Thu, 14 May 2020 00:00:00 -0000

ros-kilted-filters (1.9.0-1noble) noble; urgency=high

  * Reduce dependency on boost (#30 <https://github.com/ros/filters/issues/30>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-kilted-filters (1.8.1-1noble) noble; urgency=high

  * Fix warning about string type
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 25 Apr 2017 00:00:00 -0000

ros-kilted-filters (1.8.0-1noble) noble; urgency=high

  * Remove promiscuous filter finding
    When specifying filters, you must now include the package name and exact
    filter name. Previously a workaround would search packages for any filter
    with the specified string in the filter name. This has been deprecated for
    a while, and here we're removing it. #14 <https://github.com/ros/filters/issues/14>
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@openrobotics.org>  Fri, 07 Apr 2017 00:00:00 -0000

ros-kilted-filters (1.7.5-1noble) noble; urgency=high

  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * check for CATKIN_ENABLE_TESTING
  * Add support for boolean parameters (fix #6 <https://github.com/ros/filters/issues/6>)
  * Contributors: Boris Gromov, Lukas Bulwahn, Tully Foote

 -- Tully Foote <tfoote@openrobotics.org>  Thu, 16 Mar 2017 00:00:00 -0000

ros-kilted-filters (1.7.4-1noble) noble; urgency=high

  * Remove trailing whitespace and old <cpp> export
  * Removing vestigial files
  * Merge pull request #5 <https://github.com/ros/filters/issues/5> from ahendrix/hydro-devel
    Fix pluginlib macros and createInstance usage.
  * Fix pluginlib macros and createInstance usage.
  * Contributors: Austin Hendrix, William Woodall, jonbinney

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 23 Jul 2013 00:00:00 -0000

ros-kilted-filters (1.7.3-1noble) noble; urgency=high

  * use new pluginlib API
  * Contributors: Jon Binney

 -- Tully Foote <tfoote@openrobotics.org>  Thu, 27 Jun 2013 00:00:00 -0000

ros-kilted-filters (1.7.2-1noble) noble; urgency=high

  * a bunch of CMake fixes to get tests passing.
  * fixing linking
  * 1.7.2
    For bugfix release
  * Merge pull request #3 <https://github.com/ros/filters/issues/3> from dgossow/patch-1
    Export pluginlib as dependency
  * Export pluginlib as dependency
  * Contributors: David Gossow, Tully Foote

 -- Tully Foote <tfoote@openrobotics.org>  Wed, 26 Jun 2013 00:00:00 -0000

ros-kilted-filters (1.7.1-1noble) noble; urgency=high

  * bump version for bugfix
  * Merge pull request #2 <https://github.com/ros/filters/issues/2> from jonbinney/install_headers
    added install rule for headers in cmakelists
  * added install rule for headers in cmakelists
  * Contributors: Jon Binney, jonbinney

 -- Tully Foote <tfoote@openrobotics.org>  Fri, 24 May 2013 00:00:00 -0000

ros-kilted-filters (1.7.0-1noble) noble; urgency=high

  * bump version for hydro release
  * reenabled rostests
  * builds with catkin
  * branched to separate cpp and ROS parts
    --HG--
    branch : cpp_separation
  * Added tag unstable for changeset 661a74b486de
    --HG--
    branch : filters
  * Added tag filters-1.6.0 for changeset 925818adeafe
    --HG--
    branch : filters
  * 1.6.0
    --HG--
    branch : filters
  * creating unary stack to refactor from common
    --HG--
    branch : filters
  * url fix
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4037239
  * patch for #4144 <https://github.com/ros/filters/issues/4144> including backwards compatability.  Also added check to give nice error and quit if invalid filter name, instead of throwing exception
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030358
  * rest of fix for #4181 <https://github.com/ros/filters/issues/4181> tests
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030356
  * basic tests for #4181 <https://github.com/ros/filters/issues/4181> more to come
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4030355
  * Added Ubuntu platform tags to manifest
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4029647
  * removing deprecated TransferFunctionFilter it is replaced by SingleChannelTransferFunctionFilter #3703 <https://github.com/ros/filters/issues/3703>
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4028320
  * fixing segfault in realtime circular buffer if zero length #3785 <https://github.com/ros/filters/issues/3785> #3762 <https://github.com/ros/filters/issues/3762>
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4027710
  * adding namespace to all debugging/errors for filter chain loader #3239 <https://github.com/ros/filters/issues/3239>
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4026552
  * updating the tests
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4026106
  * adding single channel transferfunctionfilter
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4026105
  * fixing build for karmic
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4025262
  * doc reviewed
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4024954
  * all API issues cleared for filters
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4024863
  * Fixing warning message in filter_chain.h with regard to #2959 <https://github.com/ros/filters/issues/2959>
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4024757
  * removing hard codeing of filter_chain parameter list name.  #2618 <https://github.com/ros/filters/issues/2618>  Backwards compatable statement left in with ROS_WARN to change
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4024289
  * removing unused dependency on tinyxml
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4024141
  * Copying commit from latest to trunk. 'Added temporary OSX blacklist files'
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4023977
  * migration part 1
    --HG--
    branch : filters
    extra : convert_revision : svn%3Aeb33c2ac-9c88-4c90-87e0-44a10359b0c3/stacks/common/trunk/filters%4023884
  * Contributors: Jon Binney, Ken Conley, gerkey, jonbinney, kwc, leibs, mwise, sachinc, tfoote, vpradeep

 -- Tully Foote <tfoote@openrobotics.org>  Thu, 23 May 2013 00:00:00 -0000


